[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCompositeCellEditor.VisibleChanging

Hides or displays editor controls when the value for the Visible property is changed.

## Declaration

Source position: grids.pas line 327

`protected procedure TCompositeCellEditor.VisibleChanging; override;`

## Description

Calls the inherited method on entry to signal assigned OnVisibleChanging event handlers in the control or form hierarchy. Updates the Visible property in each of the editor controls to match the property value in the TCompositeCellEditor instance. When displaying the editor controls, their Parent property is also updated to use the TCompositeCellEditor instance.

## See also

TControl.VisibleChanging |  | Notifies all chtOnVisibleChanging handlers for the control.